Subject: RE: Advertisements over RTSP

From: "Anders Klemets (Exchange)" <[email-masked]>
Date: Mon, 15 Jun 1998 18:46:37 -0700

> A non-compatible client and our server would work normally. If
> retain-entity-for-setup is not specified, then our server will
> free the resources used by the DESCRIBE.
> 
> This means that our server can serve dynamic content to compatible
> clients and still inter-operate with other client and server
> implementations.

So this means that non-compatible clients would not get the dynamic content.
If there are many different RTSP server implementations in use, client
implementors now have to face a trade-off between an extra round-trip time
and getting the dynamic content.  
In order to get the dynamic content, the clients ought to always send this
particular "Require:" header.  But whenever a server does not support this
feature, the client will get a 551 error response.  Then the client has to
resubmit the request, and this wastes network round-trip.

Maybe it would be better to use the "Pragma" header.  Like this:  
	Pragma: retain-entity-for-setup

Servers and proxies that do not understand this particular pragma parameter,
will just ignore it, and process the rest of the command.  I think this
solution is more practical, because it allows RTSP clients to get the
dynamic content without having to pay a performance penalty when talking to
non-RealNetworks RTSP servers.

Anders

---

From: "Kirk Shoop" <[email-masked]>
Date: Tue, 16 Jun 1998 12:29:26 -0700

Yes, I was looking for a "Request" type of header.  However, when
I looked at the Pragma header in the HTTP/1.1 spec, it seemed that
it had been depreciated.  Is it still ok to use Pragma?

I also wasn't sure that Pragma properly described the semanctics of
retain-entity-for-setup.  Isn't Pragma (at least in C/C++) more
like require than request?

I didn't want to propose this.. :) but would a Request header
be an appropriate addition?

Thanks,
Kirk

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Anders Klemets (Exchange)
> Sent: Monday, June 15, 1998 6:47 PM
> To: [email-masked]'; Confctrl
> Subject: RE: Advertisements over RTSP
>
>